Migration fails: Database server does not exist

Created:

2016-11-16 13:16:25 UTC

Modified:

2017-08-16 16:47:55 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Migration fails: Database server does not exist

Applicable to:

  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Cannot migrate a subscription. The following error appears:

PMMCli was finished with exit code 1

The following error can be found in '/opt/psa/PMM/logs/pmmcli.log'

Error: Database server does not exist.[2016-05-26 11:42:33] ERR [panel] exception 'PleskObjectNotFoundException' with message 'Database server does not exist.' in /opt/psa/admin/plib/DatabaseServerManager.php:228
Stack trace:
#0 /opt/psa/admin/plib/DatabaseServerManager.php(311): DatabaseServerManager->getServer('2')
#1 /opt/psa/admin/plib/backup/Conflicts/PleskDataManager.php(739): DatabaseServerManager->getDefaultServer('postgresql')
#2 /opt/psa/admin/plib/backup/Conflicts/Resolver/UnfitSettingsResolver.php(362): backup_Conflicts_PleskDataManager->getDefaultDbServer('postgresql')
#3 /opt/psa/admin/plib/backup/Conflicts/Resolver/UnfitSettingsResolver.php(34): backup_Conflicts_Resolver_UnfitSettingsResolver->_processNonExistentDatabases(Object(DOMXPath))
#4 /opt/psa/admin/plib/backup/Conflicts/RequiredSettingsResolver.php(32): backup_Conflicts_Resolver_UnfitSettingsResolver->resolve(Object(DOMDocument), 'admin')
#5 /opt/psa/admin/plib/backup/Conflicts/ResolverAbstract.php(28): backup_Conflicts_RequiredSettingsResolver->_applyChanges(Object(DOMDocument), true, 'admin', 'admin')
#6 /opt/psa/admin/plib/backup/Conflicts/RequiredSettingsResolver.php(24): backup_Conflicts_ResolverAbstract->resolveConflictsInDumpPart('/opt/psa/PMM/rs...', true)
#7 /opt/psa/admin/plib/backup/Conflicts/ConflictsRunner.php(160): backup_Conflicts_RequiredSettingsResolver->run()
#8 /opt/psa/admin/plib/backup/Conflicts/Runner.php(12): ConflictsRunner::run(Array)

PostgreSQL is not installed on the source server.

Cause

The issue can have either of the following causes:

  1. Plesk internal issue with ID #PPPM-1474 that was fixed in Plesk 12.0.18 MU#25

  2. Plesk internal issue with ID #PPPM-4577 that was fixed in Plesk Onyx.

Resolution

For Plesk 12.5 : apply the latest Plesk micro-updates .

For other versions : upgrade to the latest Plesk version .

Have more questions? Submit a request
Please sign in to leave a comment.